# -*- coding: utf-8 -*-
#
# Copyright (c) 2003-2009 by H. Turgut Uyar <uyar@itu.edu.tr>
#
# This file is part of CMFQuestionnaire.
#
# CMFQuestionnaire is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# CMFQuestionnaire is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

__author__ = """H. Turgut Uyar <uyar@itu.edu.tr>"""
__docformat__ = "restructuredtext"


PROJECTNAME = "CMFQuestionnaire"
GLOBALS = globals()

# should the xml widgets for the questionnaire body and answers be visible?
VISIBLE_BODY_XML = False
VISIBLE_ANSWERS_XML = False

RANDOM_TICKET_SIZE = 10

# these files should be under the site-packages/reportlab/fonts directory
# the vera fonts are installed by default with reportlab 2.3
PDF_REGULAR_FONT = "Vera.ttf"
PDF_ITALIC_FONT = "VeraIt.ttf"

try:
    from reportlab.pdfbase import pdfmetrics
    from reportlab.pdfbase.ttfonts import TTFont
    pdfmetrics.registerFont(TTFont("Serif", PDF_REGULAR_FONT))
    pdfmetrics.registerFont(TTFont("Serif-Italic", PDF_ITALIC_FONT))
    PDF_AVAILABLE = True
except:
    PDF_AVAILABLE = False
